# H245Negotiator Class Reference

`#include <h323neg.h>`

Inheritance diagram for H245Negotiator:

List of all members.

## Public Member Functions

| H245Negotiator (H323EndPoint &endpoint, H323Connection &connection)

## Protected Member Functions

| PDECLARE_NOTIFIER (PTimer, H245Negotiator, HandleTimeout)

## Protected Attributes

H323EndPoint & | endpoint
H323Connection & | connection
PTimer | replyTimer
PMutex | mutex

## Detailed Description

Base class for doing H245 negotiations

## Constructor & Destructor Documentation

H245Negotiator::H245Negotiator | ( | H323EndPoint & | endpoint,
|  | H323Connection & | connection |
| ) |  |  |

## Member Function Documentation

H245Negotiator::PDECLARE_NOTIFIER | ( | PTimer | ,
|  | H245Negotiator | ,
|  | HandleTimeout |  |
| ) |  |  | `[protected]`

## Member Data Documentation

H323EndPoint& H245Negotiator::endpoint `[protected]`

H323Connection& H245Negotiator::connection `[protected]`

PTimer H245Negotiator::replyTimer `[protected]`

PMutex H245Negotiator::mutex `[protected]`

The documentation for this class was generated from the following file:

- h323neg.h